Bug 247200 - Review Request: wulfware - A LAN/cluster/beowulf monitoring toolset
Review Request: wulfware - A LAN/cluster/beowulf monitoring toolset
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-07-05 17:45 EDT by rgb
Modified: 2013-02-19 06:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 06:08:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpmahowald: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description rgb 2007-07-05 17:45:19 EDT
Spec URL: <http://www.phy.duke.edu/~rgb/Beowulf/wulfware.php>
SRPM URL: <http://www.phy.duke.edu/~rgb/Beowulf/wulfware/wulfware-2.5.1-0.src.rpm>
Description: <Wulfware is a set of tools that enable a compute cluster, a beowulf, or just an ordinary LAN to be monitored or logged by users or administrators.  It consists of xmlsysd, a lightweight daemon that provides read access to various parts of /proc and the output of system information commands, libwulf, a library that facilitates the creation of applications that can connect to xmlsysd.  Three client applications are also included: wulfstat, a simple tty ncurses monitoring program; wulflogger, which outputs to stdout (from which it can be logged into files or fed to other programs), and wulf2html, a program that converts the output of wulflogger into html for presentation on a simple web page.>
Comment 1 John Mahowald 2007-09-03 18:09:07 EDT
I am using the spec file in the srpm at
http://www.phy.duke.edu/~rgb/Beowulf/wulfware/wulfware-2.5.1-0.src.rpm

Build fails in mock:

+ ./autogen.sh
./autogen.sh: line 8: autoheader: command not found
./autogen.sh: line 9: aclocal: command not found
./autogen.sh: line 12: automake: command not found
./autogen.sh: line 13: autoconf: command not found

You will need to BuildRequires these

rpmlint -i on the srpm, (edited with my comments):

E: wulfware no-description-tag
There is no %description tag in your spec file. To insert it, just insert a
'%description' tag in your spec file, add a textual description of the package
after it, and rebuild the package.

W: wulfware invalid-license Open Source
The value of the License tag was not recognized. 

See http://fedoraproject.org/wiki/Licensing for how to specify GPL versions

W: wulfware hardcoded-packager-tag rgb@phy.duke.edu
The Packager tag is hardcoded in your spec file. It should be removed, so
as to use rebuilder's own defaults.

W: wulfware unversioned-explicit-provides libwulf.so
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

(Actually drop this provides entirely, rpm figures these provides out)

W: wulfware rpm-buildroot-usage %build ./configure
--prefix=$RPM_BUILD_ROOT%{_prefix}
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it
will break short circuiting.

E: wulfware configure-without-libdir-spec
A configure script is run without specifying the libdir. configure
options must be augmented with something like --libdir=%{_libdir}.

(You probably want the %configure macro)

E: wulfware hardcoded-library-path in /usr/lib
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

E: wulfware hardcoded-library-path in /usr/lib/libwulf.so
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

E: wulfware hardcoded-library-path in /usr/lib/libwulf.so.%{version}
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.


You also need to use macros for bindir, mandir etc. instead of /usr/share
/usr/bin etc.

The Source needs to be a URL, or have a comment on how to generate it

Don't define version or release macros, the tags to it for you.

What is the purpose of %define _unpackaged_files_terminate_build 0  ?

Why is there symlinking done in post and postun scripts? %install would be a
better place. Be sure this uses macros as described earlier.



For your Fedora Core comment, drop the Core, Core is merged for Fedora 7+

Comment 2 Miroslav Suchý 2012-12-11 16:53:52 EST
Ping? Any progress here? Or we can close this review?
Comment 3 Miroslav Suchý 2013-02-19 06:08:22 EST
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue with this review, please reopen or
submit new review.

Note You need to log in before you can comment on or make changes to this bug.